c**********************************************************************
c REORIENT_WRITE.F
c**********************************************************************
c Write reorient.out file with current spin axes orientations
c
c  t			time
c  ntp			number of test particles
c  iu			unit for writing reorient.out
c  fopenstat		status of reorient.out
c  s(3,NTPMAX)		orientations of spin axes (in common block /yarko/)
c
c Remarks: 
c Author: Miroslav Broz, miroslav.broz@email.cz
c Date: Nov 8th 2000

      subroutine reorient_write(t,ntp,iu,fopenstat)

      include 'swift.inc'
      include 'yarko.inc'

      integer ntp,iu
      real*8 t
      character*80 fopenstat

      integer i,ierr,i1st
      data i1st/0/
      save i1st

      if (i1st.eq.0) then
        call io_open(iu,'reorient.out',fopenstat,'formatted',ierr)
        if(ierr.ne.0) then
          write(*,*) ' SWIFT ERROR: in reorient'
          write(*,*) '     Could not open reorient.out '
          call util_exit(1)
        endif
        i1st = 1
      else
        call io_open(iu,'reorient.out','append','formatted',ierr)
      endif

      write(iu,10) t
10    format(1x,1e17.10,$)
      do i=1,ntp - 1
        write(iu,20) s(1,i),s(2,i),s(3,i)
20      format(1x,3(1x,1f11.8),$)
      enddo
      write(iu,30) s(1,ntp),s(2,ntp),s(3,ntp)
30    format(1x,3(1x,1f11.8))

      close(unit = iu)

      return
      end	! reorient_write
c-----------------------------------------------------------------

